## gargoyle-free 2009-08

=== terps/glulxe/Makefile ===
# Unix Makefile for Glulxe.

# To use this, you must set three variables. GLKINCLUDEDIR must be the 
# directory containing glk.h, glkstart.h, and the Make.library file.
# GLKLIBDIR must be the directory containing the library.a file.
# And GLKMAKEFILE must be the name of the Make.library file. Two
# sets of values appear below; uncomment one of them and change the
# directories appropriately.

GLKINCLUDEDIR = ../cheapglk
GLKLIBDIR = ../cheapglk
GLKMAKEFILE = Make.cheapglk

#GLKINCLUDEDIR = ../glkterm
#GLKLIBDIR = ../glkterm
#GLKMAKEFILE = Make.glkterm

#GLKINCLUDEDIR = ../xglk
#GLKLIBDIR = ../xglk
#GLKMAKEFILE = Make.xglk

# Pick a C compiler.
#CC = cc
CC = gcc

OPTIONS = -g -Wall -Wmissing-prototypes -Wstrict-prototypes -Wno-unused -DOS_UNIX

include $(GLKINCLUDEDIR)/$(GLKMAKEFILE)

CFLAGS = $(OPTIONS) -I$(GLKINCLUDEDIR)
LIBS = -L$(GLKLIBDIR) $(GLKLIB) $(LINKLIBS) 

OBJS = main.o files.o vm.o exec.o funcs.o operand.o string.o glkop.o \
  heap.o serial.o search.o accel.o gestalt.o osdepend.o profile.o

all: glulxe

glulxe: $(OBJS) unixstrt.o
	$(CC) $(OPTIONS) -o glulxe $(OBJS) unixstrt.o $(LIBS)

glulxdump: glulxdump.o
	$(CC) -o glulxdump glulxdump.o

$(OBJS): glulxe.h

exec.o operand.o: opcodes.h
gestalt.o: gestalt.h

clean:
	rm -f *~ *.o glulxe glulxdump profile-raw

## gargoyle-free 2011.1

=== debian/changelog ===
gargoyle-free (2011.1-2) unstable; urgency=low

  * Fix FTBFS: sdl-sound1.2-1.0.3-6 stripped its depencies, and the
    gargoyle build system made unnecessary references to -lsmpeg and
    -lvorbis that are normally used when building with the bundled copy of
    sdl-sound. (Closes: #674336)
  * Fix FTBFS: -lrt was missing. This has never been a problem so I
    suspect we previously got it indirectly through pkg-config --libs.
  * Bump Standards-Version to 3.9.3
  * Minimize ignore_bundled_libraries.patch.

 -- Sylvain Beucler <beuc@debian.org>  Thu, 24 May 2012 22:57:48 +0200

gargoyle-free (2011.1-1) unstable; urgency=low

  * New upstream release
  * Alan 3 interpreter is now Free Software, include it
  * Add pkg-config as a direct build dependency
  * Upgrade packaging to debhelper 7 and source format 3.0 (quilt)
  * Remove helper-templates-in-copyright override as the lintian check is
    smarter now
  * Refresh patches
  * Update debian/copyright

 -- Sylvain Beucler <beuc@debian.org>  Sun, 19 Feb 2012 15:57:30 +0100

gargoyle-free (2010.1-2) unstable; urgency=low

  * Depend on libjpeg-dev rather than libjpeg62-dev (Closes: #633939)
  Cf. http://lists.debian.org/debian-devel-announce/2010/02/msg00006.html
  Thanks to Bill Allombert
  * Bump Standards-Version to 3.9.2
  * Ignore helper-templates-in-copyright due to the presence of
    "author(s)" in the license text

 -- Sylvain Beucler <beuc@debian.org>  Sat, 23 Jul 2011 00:02:01 +0200

gargoyle-free (2010.1-1) experimental; urgency=low

  * New upstream release
  * Update debian/copyright
  * Adjust font dependencies to use the new default fonts (Liberation Mono
    and Linux Libertine O instead of DejaVu Sans)
  * Build convenience library statically
  * Embed the text of BSD in debian/copyright (lintian
    copyright-refers-to-deprecated-bsd-license-file)
  * Bump Standards-Version
  * Use the googlecode.debian.net redirector in debian/watch
  * Hard-code lookup path to interpreters in /usr/lib/gargoyle/ (rather
    than in the executable's directory - following upstream's advice)
  * Remove patches merged upstream or obsoleted
  * Install new desktop menu entry and icon

 -- Sylvain Beucler <beuc@debian.org>  Fri, 01 Oct 2010 20:28:01 +0200

gargoyle-free (2009-08-25-2) unstable; urgency=high

  * Fix security issue in the shell wrapper, where LD_LIBRARY_PATH may be
    modified to include an empty directory (which means "current
    directory")
  * Fix missing 'not' in the package description: "it does not provide a
    way to display the cover art"
  * Fix download URL in debian/copyright
  * Fix a couple typos
  * Fix FTBFS with binutils-gold: specify -lm explicitly in the build
    system (patch sent upstream) (Closes: #554390)
  * Provide: zcode-interpreter, tads2-interpreter, tads3-interpreter as
    other packaged interpreters do (Closes: #579618)
  * Remove comments from the watch file because taste differs among DDs
  * Bump Standards-Version
  * Declare package source format (1.0)

 -- Sylvain Beucler <beuc@debian.org>  Thu, 03 Jun 2010 15:59:02 +0200

gargoyle-free (2009-08-25-1) unstable; urgency=low

  * Initial release (Closes: #546217)
  * Drop the non-free Alan and Hugo interpreters, as well as the non-free
    Luxi Mono monospace font, from the upstream tarball
  * Replace Luxi Mono with DejaVu Sans Mono
  * Load GPL-incompatible DejaVu Sans Mono font from an external file (located
    using libfontconfig), instead of bundling it in the GPL executable
  * Link to SDL_sound dynamically (instead of statically)
  * Install and locate auxiliary binaries in /usr/lib/gargoyle/

 -- Sylvain Beucler <beuc@beuc.net>  Fri, 11 Sep 2009 20:09:43 +0200

=== debian/control ===
Source: gargoyle-free
Section: games
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Sylvain Beucler <beuc@debian.org>
Build-Depends: quilt, debhelper (>= 7.0.50~), jam, libgtk2.0-dev, libpng12-dev, libjpeg-dev, libsdl1.2-dev, libsdl-sound1.2-dev, libsdl-mixer1.2-dev, libfreetype6-dev, libfontconfig1-dev, pkg-config
Standards-Version: 3.9.3
Homepage: http://ccxvii.net/gargoyle/
Vcs-Git: git://git.debian.org/git/pkg-games/gargoyle-free.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/gargoyle-free.git

Package: gargoyle-free
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ttf-liberation, ttf-linux-libertine
Provides: zcode-interpreter, tads2-interpreter, tads3-interpreter
Description: graphical player for Interactive Fiction games
 Gargoyle is an Interactive Fiction (text adventure) player that
 supports all the major interactive fiction formats.
 .
 Most interactive fiction is distributed as portable game files. These
 portable game files come in many formats. In the past, you used to
 have to download a separate player (interpreter) for each format of
 IF you wanted to play. Instead, Gargoyle provides unified player.
 .
 Gargoyle is based on the standard interpreters for the formats it
 supports: .taf (Adrift games, played with Scare), .dat (AdvSys),
 *.agx/.d$$ (AGiliTy), .a3c (Alan3), .asl/.cas (Quest games, played
 with Geas), .jacl/.j2 (JACL), .l9/.sna (Level 9), .mag (Magnetic),
 *.saga (Scott Adams Grand Adventures), .gam/.t3 (TADS),
 *.z1/.z2/.z3/.z4/.z5/.z6/.z7/.z8 (Inform Z-Machine games, played with
 Frotz, Nitfol or Bocfel), .ulx/.blb/.blorb/.glb/.gblorb (Inform or
 Superglús games compiled to the Glulxe VM in Blorb archives, played
 with Git or Glulxe), .zlb, .zblorb (Inform Z-Machine games in Blorb
 archives, played with Frotz).
 .
 (note: do not confuse the Git Glux interpreter with the Git DVCS or
 the GNU Interactive Tools)
 .
 Gargoyle also features graphics, sounds and Unicode support.
 .
 Technically all the bundled interpreters support the Glk API to
 manage I/O (keyboard, graphics, sounds, file) in IF games. Gargoyle
 provides a Glk implementation called garglk that displays texts and
 images in a graphical Gtk window, with care on typography.
 .
 Limitations:
 .
 * This free version of gargoyle does not include the non-free Alan2
 and Hugo interpreter (and use a different, free monospace font).
 .
 * While Gargoyle can display in-game pictures, it does not provide a
 way to display the cover art present in some Blorb archives.
 .
 * The TADS interpreter doesn't support HTML TADS; you can play
 the games, but will miss the hyperlinks.

## gargoyle-free 2011.1a

=== debian/changelog ===
gargoyle-free (2011.1a-3) unstable; urgency=medium

  [ Alexandre Detiste ]
  * Update project url in debian/copyright and debian/watch
  * Bump debhelper compat level to 9
  * Use canonical vcs url
  * debian/TODO: Alan 2 is included since 2011.1a-1

  [ Sylvain Beucler ]
  * Replace Matthias' patch with finer one from upstream tracker
  * Bump standards to 3.9.6 (no changes)

 -- Sylvain Beucler <beuc@debian.org>  Wed, 15 Jul 2015 14:12:02 +0200

gargoyle-free (2011.1a-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build failure with GCC 5. Closes: #777860.
  * Build-depend on libpng-dev instead of libpng12-dev. Closes: #662341.

 -- Matthias Klose <doko@debian.org>  Wed, 08 Jul 2015 14:42:50 +0200

gargoyle-free (2011.1a-2) unstable; urgency=low

  * Fix package description: Alan 2 is now included.

 -- Sylvain Beucler <beuc@debian.org>  Sun, 13 Oct 2013 17:08:18 +0200

gargoyle-free (2011.1a-1) unstable; urgency=low

  * New upstream release
  * Alan 2 interpreter is now Free Software, include it
  * Update fonts package names in dependencies (Closes: #715160)
  * Bump Standards-Version to 3.9.4

 -- Sylvain Beucler <beuc@debian.org>  Sun, 28 Jul 2013 13:38:56 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: extra
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Sylvain Beucler <beuc@debian.org>
-Build-Depends: quilt, debhelper (>= 7.0.50~), jam, libgtk2.0-dev, libpng12-dev, libjpeg-dev, libsdl1.2-dev, libsdl-sound1.2-dev, libsdl-mixer1.2-dev, libfreetype6-dev, libfontconfig1-dev, pkg-config
-Standards-Version: 3.9.3
+Build-Depends: quilt, debhelper (>= 9), jam, libgtk2.0-dev, libpng-dev, libjpeg-dev, libsdl1.2-dev, libsdl-sound1.2-dev, libsdl-mixer1.2-dev, libfreetype6-dev, libfontconfig1-dev, pkg-config
+Standards-Version: 3.9.6
 Homepage: http://ccxvii.net/gargoyle/
-Vcs-Git: git://git.debian.org/git/pkg-games/gargoyle-free.git
-Vcs-Browser: http://git.debian.org/?p=pkg-games/gargoyle-free.git
+Vcs-Git: git://anonscm.debian.org/pkg-games/gargoyle-free.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/gargoyle-free.git
 
 Package: gargoyle-free
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ttf-liberation, ttf-linux-libertine
+Depends: ${shlibs:Depends}, ${misc:Depends}, fonts-liberation, fonts-linuxlibertine
 Provides: zcode-interpreter, tads2-interpreter, tads3-interpreter
 Description: graphical player for Interactive Fiction games
  Gargoyle is an Interactive Fiction (text adventure) player that
@@ -45,8 +45,8 @@
  .
  Limitations:
  .
- * This free version of gargoyle does not include the non-free Alan2
- and Hugo interpreter (and use a different, free monospace font).
+ * This free version of gargoyle does not include the non-free Hugo
+ interpreter (and uses a different, free monospace font).
  .
  * While Gargoyle can display in-game pictures, it does not provide a
  way to display the cover art present in some Blorb archives.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS


# Tell 'jam' to statically link private libraries; the convenience
# library is pretty small and it's much simpler in jam than trying to
# install to a private library prefix directory (would be
# /usr/lib/gargoyle) - or using a LD_LIBRARY_PATH wrapper.
export STATIC=1

TARGET  := $(CURDIR)/debian/gargoyle-free

%:
	dh $@ --parallel

override_dh_auto_build:
	jam -j$$(nproc)

override_dh_auto_install:
#	install the package into debian/gargoyle-free.
	jam install  # to build/dist/
#	'debian/install' doesn't support renaming files:
#	(last field is always a directory, even without a trailing '/')
	install -m 755 build/dist/gargoyle $(TARGET)/usr/games/gargoyle-free

override_dh_auto_clean:
	jam clean
	rm -rf build/

=== debian/watch ===
version=3
https://github.com/garglk/garglk/tags .*/stable-(201.*)\.tar\.gz

## gargoyle-free 2011.1b

=== terps/alan2/Makefile ===
# Makefile for Alan interpreter to be built with CygWin

#CYGWIN =  -DCOMPILER=\"[MinGWb20]\" -mno-cygwin -I/cygnus/mingw/include -L/cygnus/mingw/lib
#CYGWIN =  -DCOMPILER=\"[MinGWb20]\" -mno-cygwin
CYGWIN =  -DCOMPILER=\"[CygWin32]\"

# Define this to make interpreter log each crc calculation step
#CRCLOG = -DCRCLOG

CFLAGS = -g -Wall -funsigned-char $(CYGWIN) $(CRCLOG)

LDFLAGS = -g $(CYGWIN) $(VERBOSE)
#LIB = ../../Glk/WinGlk/Glk.lib

VERSIONOBJECTS = arun.o \
	main.o \
	debug.o \
	args.o \
	exe.o \
	inter.o \
	parse.o \
	rules.o \
	stack.o \
	decode.o \
	term.o \
	reverse.o \
	readline.o \
	params.o \
	sysdep.o

OBJECTS = $(VERSIONOBJECTS) alan.version.o


arun.exe : $(OBJECTS)
	gcc -o arun.exe $(OBJECTS) $(LDFLAGS) $(LIB)

dumpacd: dumpacd.o reverse.o spa.o
	$(CC) -o dumpacd $(CFLAGS) dumpacd.o reverse.o spa.o

spa.o: spa.c spa.h
	gcc $(CFLAGS) -DSTDIONONCONST -c spa.c -o spa.o 


#---<< GENERATED DEPENDENCIES FOLLOWS >>---
args.o: args.c args.h main.h types.h sysdep.h acode.h
arun.o: arun.c main.h types.h sysdep.h acode.h term.h version.h args.h
chartest.o: chartest.c alan.version.h
debug.o: debug.c types.h sysdep.h acode.h version.h readline.h inter.h \
 main.h parse.h exe.h debug.h alan.version.h
decode.o: decode.c main.h types.h sysdep.h acode.h decode.h
dumpacd.o: dumpacd.c types.h sysdep.h acode.h spa.h
exe.o: exe.c types.h sysdep.h acode.h readline.h main.h parse.h \
 inter.h stack.h decode.h exe.h
genalan.o: genalan.c spa.h
inter.o: inter.c types.h sysdep.h acode.h main.h parse.h exe.h stack.h \
 inter.h
main.o: main.c sysdep.h types.h acode.h main.h readline.h version.h \
 args.h parse.h inter.h rules.h debug.h stack.h exe.h term.h alan.version.h
params.o: params.c types.h sysdep.h acode.h params.h
parse.o: parse.c types.h sysdep.h acode.h readline.h main.h inter.h \
 exe.h term.h debug.h params.h parse.h
readline.o: readline.c readline.h types.h sysdep.h acode.h main.h
reverse.o: reverse.c types.h sysdep.h acode.h main.h reverse.h
rules.o: rules.c types.h sysdep.h acode.h main.h inter.h debug.h exe.h \
 stack.h rules.h
spa.o: spa.c spa.h
stack.o: stack.c types.h sysdep.h acode.h main.h stack.h
sysdep.o: sysdep.c sysdep.h
term.o: term.c main.h types.h sysdep.h acode.h term.h
version.o: version.c version.h

=== terps/git/Makefile ===
# Unix makefile for Git (shamelessly ripped off from Glulxe's makefile)

# -----------------------------------------------------------------
# Step 1: pick a Glk library.

# Note: when using xglk, do NOT define USE_MMAP in step 2, below.

GLK = cheapglk
#GLK = glkterm
#GLK = xglk

GLKINCLUDEDIR = ../$(GLK)
GLKLIBDIR = ../$(GLK)
GLKMAKEFILE = Make.$(GLK)

# -----------------------------------------------------------------
# Step 2: pick a C compiler.

# Generic C compiler
CC = cc -O2
OPTIONS = 

# Best settings for GCC 2.95. This generates faster code than
# GCC 3, so you should use this setup if possible.
#CC = gcc -Wall -O3
#OPTIONS = -DUSE_DIRECT_THREADING -DUSE_MMAP -DUSE_INLINE

# Best settings for GCC 3. The optimiser in this version of GCC
# is somewhat broken, so we can't use USE_DIRECT_THREADING.
#CC = gcc -Wall -O3
#OPTIONS = -DUSE_MMAP -DUSE_INLINE

# Mac OS X (PowerPC) settings.
#CC = gcc2 -Wall -O3 -no-cpp-precomp
#OPTIONS = -DUSE_DIRECT_THREADING -DUSE_BIG_ENDIAN_UNALIGNED -DUSE_MMAP -DUSE_INLINE

# -----------------------------------------------------------------
# Step 3: decide where you want to install the compiled executable.

INSTALLDIR = /usr/local/bin

# -----------------------------------------------------------------
# You shouldn't have to change anything from here on down.

MAJOR = 1
MINOR = 2
PATCH = 4

include $(GLKINCLUDEDIR)/$(GLKMAKEFILE)

CFLAGS = $(OPTIONS) -I$(GLKINCLUDEDIR)

LIBS = -L$(GLKLIBDIR) $(GLKLIB) $(LINKLIBS) 

HEADERS = version.h git.h config.h compiler.h \
	memory.h opcodes.h labels.inc

SOURCE = compiler.c gestalt.c git.c git_mac.c git_unix.c \
	git_windows.c glkop.c heap.c memory.c opcodes.c \
	operands.c peephole.c savefile.c saveundo.c \
	search.c terp.c accel.c

OBJS = git.o memory.o compiler.o opcodes.o operands.o \
	peephole.o terp.o glkop.o search.o git_unix.o \
	savefile.o saveundo.o gestalt.o heap.o accel.o

TESTS = test/test.sh \
	test/Alabaster.gblorb test/Alabaster.walk test/Alabaster.golden

all: git

git: $(OBJS)
	$(CC) $(OPTIONS) -o git $(OBJS) $(LIBS)

install: git
	cp git $(INSTALLDIR)/git

clean:
	rm -f *~ *.o git test/*.tmp

$(OBJS): $(HEADERS)

version.h: Makefile
	echo "// Automatically generated file -- do not edit!" > version.h
	echo "#define GIT_MAJOR" $(MAJOR) >> version.h
	echo "#define GIT_MINOR" $(MINOR) >> version.h
	echo "#define GIT_PATCH" $(PATCH) >> version.h

DISTZIP = git-$(MAJOR)$(MINOR)$(PATCH).zip

DISTDIR = git-$(MAJOR).$(MINOR).$(PATCH)

DISTFILES = README.txt Makefile Makefile.win win $(HEADERS) $(SOURCE)

dist: $(DISTFILES)
	rm -rf $(DISTDIR)
	mkdir $(DISTDIR)
	cp -r $(DISTFILES) $(DISTDIR)
	mkdir $(DISTDIR)/test
	cp $(TESTS) $(DISTDIR)/test
	find $(DISTDIR) -name "CVS" | xargs rm -rf
	rm -f $(DISTZIP)
	zip -r $(DISTZIP) $(DISTDIR)

test: git
	sh test/test.sh

=== terps/glulxe/Makefile ===
--- 
+++ 
@@ -28,10 +28,10 @@
 include $(GLKINCLUDEDIR)/$(GLKMAKEFILE)
 
 CFLAGS = $(OPTIONS) -I$(GLKINCLUDEDIR)
-LIBS = -L$(GLKLIBDIR) $(GLKLIB) $(LINKLIBS) 
+LIBS = -L$(GLKLIBDIR) $(GLKLIB) $(LINKLIBS) -lm
 
 OBJS = main.o files.o vm.o exec.o funcs.o operand.o string.o glkop.o \
-  heap.o serial.o search.o accel.o gestalt.o osdepend.o profile.o
+  heap.o serial.o search.o accel.o float.o gestalt.o osdepend.o profile.o
 
 all: glulxe
 
@@ -41,7 +41,7 @@
 glulxdump: glulxdump.o
 	$(CC) -o glulxdump glulxdump.o
 
-$(OBJS): glulxe.h
+$(OBJS) unixstrt.o: glulxe.h
 
 exec.o operand.o: opcodes.h
 gestalt.o: gestalt.h

=== terps/scare/Makefile ===
# vi: set ts=8:
#
# Copyright (C) 2003-2008  Simon Baldwin and Mark J. Tilford
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of version 2 of the GNU General Public License
# as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301
# USA
#

VERSION = 1.3.10

#
# Compiler and Glk library setup.  Configure this section to match the
# system you're using to build SCARE, or override with VARIABLE= on the
# make command line.
#

# GCC compiler and linker flags.
CC	= gcc
DEBUG	=
CEXTRA	=
CFLAGS	= -O2 -D__NO_STRING_INLINES -fPIC -ansi -D_STRICT_ANSI_ -Wall -W   \
	  -pedantic -Wshadow -Wpointer-arith -Wstrict-prototypes	   \
	  -Wmissing-prototypes -Wmissing-declarations -Wredundant-decls	   \
	  -Wwrite-strings -Wundef -Wbad-function-cast -Waggregate-return   \
	  -Wnested-externs						   \
	  $(DEBUG) $(CEXTRA)
LDLIBS	=
LDEXTRA	=
LDFLAGS	= $(DEBUG) $(LDEXTRA)

# Generic compiler and linker flags.
#CC	= cc
#DEBUG	=
#CEXTRA	=
#CFLAGS	=
#LDLIBS	=
#LDEXTRA=
#LDFLAGS=

# Glk library selection and library location.
GLK	= xglk
#GLK	= glkterm
#GLK	= cheapglk
#GLK	= winglk
GLKDIR	= ../..

# Glk platform selection; normally, the platform's compiler will define
# one of these automatically, but if not, pick one to suit your system.
#GLKARCH= -D__unix
#GLKARCH= -D_WIN32

#
# End of compiler and Glk library set.  The rest of the Makefile is SCARE
# generic.
#

# Set up link libraries and path to Glk.  The Glk library make inclusion
# sets up LINKLIBS and GLKLIB for us; if the file is missing (say, we're
# building only the ANSI interface version), the include should not fail.
# This will of course make GLKLIBS gibberish, but we'll check that later.
# If your make can't handle sinclude or -include, and you're not building
# for Glk, comment out the include line.
GLKPATH	= $(GLKDIR)/$(GLK)
sinclude $(GLKPATH)/Make.$(GLK)
GLKLIBS	= -L$(GLKPATH) $(GLKLIB) $(LINKLIBS)

# Always use the Bourne shell.
SHELL	= /bin/sh

# Miscellaneous tools, overridable by the command line.
UNZIP	= unzip
RM	= rm
TEST	= test

# SCARE objects and headers.
OBJECTS	= sctafpar.o sctaffil.o scprops.o scvars.o scexpr.o scprintf.o	\
	  scinterf.o scparser.o sclibrar.o scrunner.o scevents.o	\
	  scnpcs.o scobjcts.o sctasks.o screstrs.o scgamest.o scserial.o\
	  scresour.o scmemos.o scutils.o sclocale.o scdebug.o
HEADERS	= scare.h scprotos.h scgamest.h

# SCARE verifier objects and headers.
XOBJECTS= sxmain.o sxutils.o sxglob.o sxtester.o sxscript.o sxfile.o	\
	  sxstubs.o
XHEADERS= sxprotos.h

# Zlib components used by SCARE.
ZLIBVER	= 123
ZLIBSRC	= zlib$(ZLIBVER).zip
ZOBJECTS= crc32.o inffast.o inflate.o inftrees.o zutil.o compress.o	\
	  adler32.o deflate.o trees.o
ZSOURCES= crc32.c inffast.c inflate.c inftrees.c zutil.c compress.c	\
	  adler32.c deflate.c trees.c
ZHEADERS= crc32.h inffast.h inflate.h inftrees.h inffixed.h zutil.h	\
	  zconf.h deflate.h trees.h zlib.h

# Default make target is the basic ANSI interpreter.
all:	scare

$(ZOBJECTS): $(ZHEADERS) $(ZSOURCES)

$(ZHEADERS) $(ZSOURCES): $(ZLIBSRC)
	@$(UNZIP) -uqqa $(ZLIBSRC) $@

$(OBJECTS): $(HEADERS)

scare: $(ZOBJECTS) $(OBJECTS) os_ansi.o
	$(CC) $(LDFLAGS) -o scare $(OBJECTS) $(ZOBJECTS) os_ansi.o $(LDLIBS)

# Option to build the SCARE verifier.
$(XOBJECTS): $(XHEADERS)

sx: $(ZOBJECTS) $(OBJECTS) $(XOBJECTS)
	$(CC) $(LDFLAGS) -o sx $(OBJECTS) $(ZOBJECTS) $(XOBJECTS) $(LDLIBS)

# Option to build the Glk port of SCARE.
glkscare: $(ZOBJECTS) $(OBJECTS) os_glk.o
	@$(TEST) -n "$(GLKLIB)" \
		|| ( echo "Could not include $(GLKPATH)/Make.$(GLK)"; exit 1 )
	$(CC) $(LDFLAGS) -o glkscare $(OBJECTS) $(ZOBJECTS) os_glk.o	\
		$(LDLIBS) $(GLKLIBS)

os_glk.o: os_glk.c $(HEADERS)
	$(CC) $(GLKARCH) $(CFLAGS) -Wno-write-strings			\
		-I $(GLKDIR)/$(GLK) -c -o $@ $<

# Option to build an IFP plugin version of SCARE.
scare_plugin.c: scare.hdr
	ifphdr $< >$@

scare_plugin.o: scare_plugin.c
	@$(TEST) -n "$(GLKLIB)" \
		|| ( echo "Could not include $(GLKPATH)/Make.$(GLK)"; exit 1 )
	$(CC) -I$(GLKPATH) $(CFLAGS) -c -o $@ $<

PLUGIN_LIBS = -lifppi
PLUGIN_OBJS = scare_plugin.o
scare-$(VERSION).so: $(ZOBJECTS) $(OBJECTS) os_glk.o $(PLUGIN_OBJS)
	$(CC) -shared -Wl,-u,ifpi_force_link -Wl,-Bsymbolic		\
		-o $@ $(ZOBJECTS) $(OBJECTS) os_glk.o $(PLUGIN_OBJS)	\
		$(PLUGIN_LIBS) -lc

# Cleanup.
clean:
	$(RM) -f scare sx glkscare *.o core core.* *.gcov *.gcno *.gcda
	$(RM) -f scare_plugin.c scare-$(VERSION).so
	$(RM) -f $(ZSOURCES)
	$(RM) -f $(ZHEADERS)

distclean: clean

clobber: clean

maintainer-clean: clobber

# Unimplemented targets.
dist check:

=== debian/changelog ===
gargoyle-free (2011.1b-1) unstable; urgency=medium

  * Team upload.
  * Repacked upstream release, dropping the fonts (Closes: #851111).

 -- Stephen Kitt <skitt@debian.org>  Wed, 25 Jan 2017 08:59:03 +0100

gargoyle-free (2011.1a-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC6 by using -std=gnu++98 (Closes: #812058).

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 03 Dec 2016 01:38:34 +0500

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,7 @@
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
 
+export DEB_CFLAGS_MAINT_APPEND = -std=gnu++98
 
 # Tell 'jam' to statically link private libraries; the convenience
 # library is pretty small and it's much simpler in jam than trying to

## gargoyle-free 2019.1.1

=== terps/git/Makefile ===
--- 
+++ 
@@ -43,7 +43,7 @@
 # You shouldn't have to change anything from here on down.
 
 MAJOR = 1
-MINOR = 2
+MINOR = 3
 PATCH = 4
 
 include $(GLKINCLUDEDIR)/$(GLKMAKEFILE)

=== terps/glulxe/Makefile ===
--- 
+++ 
@@ -19,19 +19,33 @@
 #GLKLIBDIR = ../xglk
 #GLKMAKEFILE = Make.xglk
 
+#GLKINCLUDEDIR = ../remglk
+#GLKLIBDIR = ../remglk
+#GLKMAKEFILE = Make.remglk
+
+#GLKINCLUDEDIR = ../gtkglk/src
+#GLKLIBDIR = ../gtkglk
+#GLKMAKEFILE = ../Make.gtkglk
+
 # Pick a C compiler.
 #CC = cc
 CC = gcc
 
 OPTIONS = -g -Wall -Wmissing-prototypes -Wstrict-prototypes -Wno-unused -DOS_UNIX
 
+# Locate the libxml2 library. You only need these lines if you are using
+# the VM_DEBUGGER option. If so, uncomment these and set appropriately.
+#XMLLIB = -L/usr/local/lib -lxml2
+#XMLLIBINCLUDEDIR = -I/usr/local/include/libxml2
+
 include $(GLKINCLUDEDIR)/$(GLKMAKEFILE)
 
-CFLAGS = $(OPTIONS) -I$(GLKINCLUDEDIR)
-LIBS = -L$(GLKLIBDIR) $(GLKLIB) $(LINKLIBS) -lm
+CFLAGS = $(OPTIONS) -I$(GLKINCLUDEDIR) $(XMLLIBINCLUDEDIR)
+LIBS = -L$(GLKLIBDIR) $(GLKLIB) $(LINKLIBS) -lm $(XMLLIB)
 
 OBJS = main.o files.o vm.o exec.o funcs.o operand.o string.o glkop.o \
-  heap.o serial.o search.o accel.o float.o gestalt.o osdepend.o profile.o
+  heap.o serial.o search.o accel.o float.o gestalt.o osdepend.o \
+  profile.o debugger.o
 
 all: glulxe

=== tads/tads2/glk/Makefile ===
# Makefile for GlkTADS

# Unfortunately for us, there are two porting variables which must be
# taken into account. One: which OS are you compiling under? Two:
# which Glk library are you using?  You must uncomment the proper
# sections below for your choice of Glk library and OS. If your OS
# and/or Glk library aren't listed below and you get a port working
# anyway, please let me know at stephen@granades.com and I'll
# incorporate the changes into the files using lots of #ifdefs.
#
# There are also a few variables having to do with TADS and directories
# which you will need to set.

# First, the Glk library defines. GLKINCLUDEDIR must be the directory
# containing glk.h and the Make.library file. GLKLIBDIR must be the
# directory containing the library.a file. GLKMAKEFILE must be the name
# of the Make.library file. And GLKFLAGS are the #defines which specify
# which Glk library you're using, along with any other #defines you need
# to make the port work.

#
# GlkTerm
#
#GLKINCLUDEDIR = ./glkterm/
#GLKLIBDIR = ./glkterm/
#GLKMAKEFILE = Make.glkterm
#GLKEXEFILE = tadsr
#GLKFLAGS = -DGLKTERM -DGLKUNIX -DGLK

#
# X Glk
#
#GLKINCLUDEDIR = ./xglk/
#GLKLIBDIR = ./xglk/
#GLKMAKEFILE = Make.xglk
#GLKEXEFILE = xtads
#GLKFLAGS = -DXGLK -DGLKUNIX -DGLK

#
# CheapGlk
#
#GLKINCLUDEDIR = ./cheapglk/
#GLKLIBDIR = ./cheapglk/
#GLKMAKEFILE = Make.cheapglk
#GLKEXEFILE = tadsr
#GLKFLAGS = -DCHEAPGLK -DGLKUNIX -DGLK


# Now the OS-specific defines. OSFLAGS are the OS-specific #defines and
# OPTIMIZE are optimization options for the compiler.

#
# Linux
#
# For Slackware distributions, use
#OSFLAGS = -DLINUX -DOS_TYPES_DEFINED
# For Red Hat, use
#OSFLAGS = -DLINUX
# For all, use the following:
#OPTIMIZE = -O2 -funroll-loops -fomit-frame-pointer -m486
#OSLIBS = -lc

#
# Sun Solaris
#
#OSFLAGS = -DSOLARIS -DOS_TYPES_DEFINED
#OPTIMIZE = -O2
#OSLIBS =

#
# NetBSD
#
#OSFLAGS = -DOS_TYPES_DEFINED
#OPTIMIZE = -O2


# Finally, some other variables. With TADS 3, we now have to know where
# standard include files, libraries, and resources live. There are three
# ways of doing this. The first is to define the variables RESDIR, LIBDIR,
# and INCDIR. The second is to set the environment variables
# TADS3_RESDIR, TADS3_LIBDIR, TADS3_INCLUDEDIR. The third is to do nothing
# and let the interpreter assume that everything lives in the same
# directory.

#RESDIR='"/home/userdir/tads/"'
#LIBDIR='"/home/userdir/tads/"'
#INCDIR='"/home/userdir/tads/"'
#DIRFLAGS = -DDEFINEDIRS -DRESDIR=$(RESDIR) -DLIBDIR=$(LIBDIR) -DINCDIR=$(INCDIR)
DIRFLAGS = 

# Pick a C compiler, any C compiler.
#CC = cc
CC = gcc -ansi -DOSANSI

# Where I keep my .h include files
INCLUDES = -I. -I..


#---------------------------------------------------#
# From here on out, it's all TADS objects and such. #
# Alter at your own risk.                           #
#---------------------------------------------------#

# The machine-dependent OS files.
MACHDEP=oem_glk.o os_glk.o oss_glk.o glkstart.o

# The machine-dependent OS files specific to the runtime
MACHDEPTR=$(MACHDEP)

# The machine-dependent OS files specific to the debugger
MACHDEPTD=$(MACHDEP)

# Now for all the nasty TADS object files
LIBOBJS= ler.o

# added osifc.o
# objects in common to all executables
COMMONOBJS= $(LIBOBJS) mcm.o mcs.o mch.o obj.o cmd.o \
            errmsg.o dummy.o fioxor.o oserr.o runstat.o \
	    fio.o getstr.o cmap.o askf_os.o indlg_tx.o osifc.o

# objects common to the runtime objects (debugger and runtime)
CMNRUNOBJS= $(COMMONOBJS) dat.o lst.o run.o out.o voc.o bif.o output.o \
	    suprun.o regex.o

# objects specific to the compiler (tadsc) and the debugger (tdb). Even
# though we don't build the compiler, we need these for the debugger
COMPOBJS= linf.o prs.o prscomp.o emt.o sup.o fiowrt.o tok.o objcomp.o \
          osgen.o tokth.o dbg.o voccomp.o

# objects specific to the run-time (tadsr) and the debugger (tdb)
RUNOBJS= vocab.o execmd.o ply.o qas.o trd.o dbgtr.o linfdum.o osrestad.o

# objects specific to the debugger (tdb)
DEBUGOBJS= tcgdum.o tdd.o dbgu.o dbgrun.o

# extra objects for TADS (mostly stubs for the now-defunct TADS/Graphic)
CHAROBJS= bifgdum.o

# Finally, the definitive list of TADS objects for the interpreter
TROBJS= $(CMNRUNOBJS) $(RUNOBJS) $(CHAROBJS) $(MACHDEPTR)

# The list of TADS objects for the debugger
DBGOBJS= $(CMNRUNOBJS) $(RUNOBJS) $(COMPOBJS) $(CHAROBJS) $(DEBUGOBJS) \
         $(MACHDEPTD)

# Stick all of our options together
OPTIONS= $(GLKFLAGS) $(OSFLAGS) $(OPTIMIZE) $(DIRFLAGS)


include $(GLKINCLUDEDIR)/$(GLKMAKEFILE)

CFLAGS = $(OPTIONS) -I$(GLKINCLUDEDIR)
LIBS = -L$(GLKLIBDIR) $(OSLIBS) $(GLKLIB) $(LINKLIBS)

all: $(GLKEXEFILE)

$(GLKEXEFILE): $(TROBJS)
	$(CC) $(CFLAGS) $(TROBJS) -o $(GLKEXEFILE) $(LIBS)

.c.o:
	$(CC) -c $(CFLAGS) $(INCLUDES) $*.c

#
# Copy files from the main TADS dir
#
askf_os.c: ../askf_os.c
	cp ../askf_os.c askf_os.c

askf_tx.c: ../askf_tx.c
	cp ../askf_tx.c askf_tx.c

bif.c: ../bif.c
	cp ../bif.c bif.c

bifgdum.c: ../bifgdum.c
	cp ../bifgdum.c bifgdum.c

cmd.c: ../cmd.c
	cp ../cmd.c cmd.c

cmap.c: ../cmap.c
	cp ../cmap.c cmap.c

dat.c: ../dat.c
	cp ../dat.c dat.c

dbgtr.c: ../dbgtr.c
	cp ../dbgtr.c dbgtr.c

dummy.c: ../dummy.c
	cp ../dummy.c dummy.c

errmsg.c: ../errmsg.c
	cp ../errmsg.c errmsg.c

execmd.c: ../execmd.c
	cp ../execmd.c execmd.c

fio.c: ../fio.c
	cp ../fio.c fio.c

fioxor.c: ../fioxor.c
	cp ../fioxor.c fioxor.c

getstr.c: ../getstr.c
	cp ../getstr.c getstr.c

indlg_os.c: ../indlg_os.c
	cp ../indlg_os.c indlg_os.c

indlg_tx.c: ../indlg_tx.c
	cp ../indlg_tx.c indlg_tx.c

ler.c: ../ler.c
	cp ../ler.c ler.c

linfdum.c: ../linfdum.c
	cp ../linfdum.c linfdum.c

lst.c: ../lst.c
	cp ../lst.c lst.c

mch.c: ../mch.c
	cp ../mch.c mch.c

mcm.c: ../mcm.c
	cp ../mcm.c mcm.c

mcs.c: ../mcs.c
	cp ../mcs.c mcs.c

obj.c: ../obj.c
	cp ../obj.c obj.c

oserr.c: ../oserr.c
	cp ../oserr.c oserr.c

osrestad.c: ../osrestad.c
	cp ../osrestad.c osrestad.c

out.c: ../out.c
	cp ../out.c out.c

output.c: ../output.c
	cp ../output.c output.c

ply.c: ../ply.c
	cp ../ply.c ply.c

qas.c: ../qas.c
	cp ../qas.c qas.c

osifc.c: ../osifc.c
	cp ../osifc.c osifc.c

regex.c: ../regex.c
	cp ../regex.c regex.c

run.c: ../run.c
	cp ../run.c run.c

runstat.c: ../runstat.c
	cp ../runstat.c runstat.c

suprun.c: ../suprun.c
	cp ../suprun.c suprun.c

trd.c: ../trd.c
	cp ../trd.c trd.c

voc.c: ../voc.c
	cp ../voc.c voc.c

vocab.c: ../vocab.c
	cp ../vocab.c vocab.c


clean:
	rm -f *~ *.o $(GLKEXEFILE)
	rm -f askf_os.c
	rm -f askf_tx.c
	rm -f bif.c
	rm -f bifgdum.c
	rm -f cmd.c
	rm -f cmap.c
	rm -f dat.c
	rm -f dbgtr.c
	rm -f dummy.c
	rm -f errmsg.c
	rm -f execmd.c
	rm -f fio.c
	rm -f fioxor.c
	rm -f getstr.c
	rm -f indlg_os.c
	rm -f indlg_tx.c
	rm -f ler.c
	rm -f linfdum.c
	rm -f lst.c
	rm -f mch.c
	rm -f mcm.c
	rm -f mcs.c
	rm -f obj.c
	rm -f oserr.c
	rm -f osifc.c
	rm -f osrestad.c
	rm -f out.c
	rm -f output.c
	rm -f ply.c
	rm -f qas.c
	rm -f regex.c
	rm -f run.c
	rm -f runstat.c
	rm -f suprun.c
	rm -f trd.c
	rm -f voc.c
	rm -f vocab.c

=== terps/hugo/heglk/Makefile ===
# heglk makefile for gcc

TARGET=heglk

# Directory defaults--these may have to be changed depending on where
# things live on your system.  It assumes the layout:
#	hugo/source - portable Hugo sources (SOURCE_DIR)
#	hugo/heglk  - this directory (NONPORTABLE_DIR)
#	hugo/xglk   - XGlk library directory (with glk.h and libxglk.a)
SOURCE_DIR=../source
NONPORTABLE_DIR=.
GLK_DIR=../xglk
XLIB_DIR=/usr/X11R6/lib

# PORT_NAME is for file-naming:
PORT_NAME=glk
COMPILE=gcc
LINK=gcc

DEFINES=-DCOMPILE_V25 -DGLK -DNO_KEYPRESS_CURSOR -DHUGO_INLINE=static\ inline
WFLAGS=-Wall
OFLAGS=-O3
#DFLAGS=-g2
CFLAGS=-I$(SOURCE_DIR) -I$(GLK_DIR) $(WFLAGS) $(OFLAGS) $(DFLAGS) $(DEFINES) -c

OBJ_EXT=o
NONPORTABLE_OBJS=he$(PORT_NAME).$(OBJ_EXT) heglkunix.o

OBJS=he.$(OBJ_EXT) heexpr.$(OBJ_EXT) hemisc.$(OBJ_EXT) heobject.$(OBJ_EXT) heparse.$(OBJ_EXT) heres.$(OBJ_EXT) herun.$(OBJ_EXT) heset.$(OBJ_EXT) stringfn.$(OBJ_EXT) $(NONPORTABLE_OBJS)

heglk: $(OBJS)
	$(LINK) -o $(TARGET) $(OBJS) -L$(GLK_DIR) -lxglk -L$(XLIB_DIR) -lX11 -lpng

clean:
	rm -f $(OBJS)

# Portable sources:

he.$(OBJ_EXT): $(SOURCE_DIR)/he.c
	$(COMPILE) $(CFLAGS) $(SOURCE_DIR)/he.c

heexpr.$(OBJ_EXT): $(SOURCE_DIR)/heexpr.c
	$(COMPILE) $(CFLAGS) $(SOURCE_DIR)/heexpr.c

hemisc.$(OBJ_EXT): $(SOURCE_DIR)/hemisc.c
	$(COMPILE) $(CFLAGS) $(SOURCE_DIR)/hemisc.c

heobject.$(OBJ_EXT): $(SOURCE_DIR)/heobject.c
	$(COMPILE) $(CFLAGS) $(SOURCE_DIR)/heobject.c

heparse.$(OBJ_EXT): $(SOURCE_DIR)/heparse.c
	$(COMPILE) $(CFLAGS) $(SOURCE_DIR)/heparse.c

heres.$(OBJ_EXT): $(SOURCE_DIR)/heres.c
	$(COMPILE) $(CFLAGS) $(SOURCE_DIR)/heres.c

herun.$(OBJ_EXT): $(SOURCE_DIR)/herun.c
	$(COMPILE) $(CFLAGS) $(SOURCE_DIR)/herun.c

heset.$(OBJ_EXT): $(SOURCE_DIR)/heset.c
	$(COMPILE) $(CFLAGS) $(SOURCE_DIR)/heset.c

stringfn.$(OBJ_EXT): $(SOURCE_DIR)/stringfn.c
	$(COMPILE) $(CFLAGS) $(SOURCE_DIR)/stringfn.c


# Non-portable sources:

he$(PORT_NAME).$(OBJ_EXT): $(NONPORTABLE_DIR)/he$(PORT_NAME).c
	$(COMPILE) $(CFLAGS) $(NONPORTABLE_DIR)/he$(PORT_NAME).c

heglkunix.o: $(NONPORTABLE_DIR)/heglkunix.c
	$(COMPILE) $(CFLAGS) $(NONPORTABLE_DIR)/heglkunix.c

=== debian/changelog ===
gargoyle-free (2019.1.1-2) unstable; urgency=medium

  * Fix FTBFS with gcc-10 (Closes: #957253)
  * Drop unneeded quilt dependency
  * Font unbundling: replace jam patch with jam variable
  * Verbose build
  * Only build in parallel if requested through DEB_BUILD_OPTIONS
  * desktop_menu_entry.patch: forwarded upstream

 -- Sylvain Beucler <beuc@debian.org>  Thu, 14 May 2020 22:11:04 +0200

gargoyle-free (2019.1.1-1) unstable; urgency=medium

  [ Stephen Kitt ]

  * debian/control: move URLs to Salsa

  [ Sylvain Beucler]

  * New upstream release (Closes: #850096, #957253)
  * DFSG repackage
  * Update copyright information, documentation, patches
  * Allow specifying a game to run in .desktop entry (Closes: #882768)
  * Actually install alan2
  * Don't install garglk.ini as example since it's already installed in /etc
  * debian/watch: update naming convention
  * Bump standards to 4.5.0 (no changes)
  * Bump debhelper to 12; drop explicit --parallel

 -- Sylvain Beucler <beuc@debian.org>  Thu, 14 May 2020 14:43:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: gargoyle-free
 Section: games
-Priority: extra
+Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Sylvain Beucler <beuc@debian.org>
-Build-Depends: quilt, debhelper (>= 9), jam, libgtk2.0-dev, libpng-dev, libjpeg-dev, libsdl1.2-dev, libsdl-sound1.2-dev, libsdl-mixer1.2-dev, libfreetype6-dev, libfontconfig1-dev, pkg-config
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 12), jam, libgtk2.0-dev, libpng-dev, libjpeg-dev, libsdl1.2-dev, libsdl-sound1.2-dev, libsdl-mixer1.2-dev, libfreetype6-dev, libfontconfig1-dev, pkg-config
+Standards-Version: 4.5.0
 Homepage: http://ccxvii.net/gargoyle/
-Vcs-Git: git://anonscm.debian.org/pkg-games/gargoyle-free.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/gargoyle-free.git
+Vcs-Git: https://salsa.debian.org/games-team/gargoyle-free.git
+Vcs-Browser: https://salsa.debian.org/games-team/gargoyle-free
 
 Package: gargoyle-free
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, fonts-liberation, fonts-linuxlibertine
+Depends: ${shlibs:Depends}, ${misc:Depends}, fonts-go, fonts-liberation, fonts-linuxlibertine, fonts-noto-core
 Provides: zcode-interpreter, tads2-interpreter, tads3-interpreter
 Description: graphical player for Interactive Fiction games
  Gargoyle is an Interactive Fiction (text adventure) player that
@@ -45,9 +45,6 @@
  .
  Limitations:
  .
- * This free version of gargoyle does not include the non-free Hugo
- interpreter (and uses a different, free monospace font).
- .
  * While Gargoyle can display in-game pictures, it does not provide a
  way to display the cover art present in some Blorb archives.
  .

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# Tell 'jam' to statically link private libraries; the convenience
# library is pretty small and it's much simpler in jam than trying to
# install to a private library prefix directory (would be
# /usr/lib/gargoyle) - or using a LD_LIBRARY_PATH wrapper.
export STATIC=1

# Don't (attempt to) use embeddable fonts, use system ones
export BUNDLEFONTS=no

# Verbose build with actual commands
JAMFLAGS = -dx

# Parallel build support
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    JAMFLAGS += -j$(NUMJOBS)
endif

TARGET  := $(CURDIR)/debian/gargoyle-free

%:
	dh $@

override_dh_auto_build:
	jam $(JAMFLAGS)

override_dh_auto_install:
#	install the package into debian/gargoyle-free.
	jam $(JAMFLAGS) install  # to build/dist/
#	'debian/install' doesn't support renaming files:
#	(last field is always a directory, even without a trailing '/')
	install -m 755 build/dist/gargoyle $(TARGET)/usr/games/gargoyle-free

override_dh_auto_clean:
	jam $(JAMFLAGS) clean
	rm -rf build/

## gargoyle-free 2022.1%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,35 @@
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Sylvain Beucler <beuc@debian.org>
-Build-Depends: debhelper (>= 12), jam, libgtk2.0-dev, libpng-dev, libjpeg-dev, libsdl1.2-dev, libsdl-sound1.2-dev, libsdl-mixer1.2-dev, libfreetype6-dev, libfontconfig1-dev, pkg-config
-Standards-Version: 4.5.0
-Homepage: http://ccxvii.net/gargoyle/
+Uploaders:
+    Sylvain Beucler <beuc@debian.org>,
+    Alexandre Detiste <alexandre.detiste@gmail.com>,
+Build-Depends:
+    cmake,
+    libfontconfig1-dev,
+    libfreetype6-dev,
+    libjpeg-dev,
+    libpng-dev,
+    libsdl2-dev,
+    libsdl2-mixer-dev,
+    libspeechd-dev,
+    pkg-config,
+    qtbase5-dev,
+    qtbase5-dev-tools,
+    debhelper-compat (= 13)
+Standards-Version: 4.6.1
+Homepage: https://ccxvii.net/gargoyle/
 Vcs-Git: https://salsa.debian.org/games-team/gargoyle-free.git
 Vcs-Browser: https://salsa.debian.org/games-team/gargoyle-free
+Rules-Requires-Root: no
 
 Package: gargoyle-free
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, fonts-go, fonts-liberation, fonts-linuxlibertine, fonts-noto-core
+Depends:
+    fonts-go,
+    fonts-sil-charis,
+    ${shlibs:Depends},
+    ${misc:Depends}
 Provides: zcode-interpreter, tads2-interpreter, tads3-interpreter
 Description: graphical player for Interactive Fiction games
  Gargoyle is an Interactive Fiction (text adventure) player that
@@ -41,7 +60,7 @@
  Technically all the bundled interpreters support the Glk API to
  manage I/O (keyboard, graphics, sounds, file) in IF games. Gargoyle
  provides a Glk implementation called garglk that displays texts and
- images in a graphical Gtk window, with care on typography.
+ images in a graphical Qt window, with care on typography.
  .
  Limitations:
  .
